package com.mortals.xhx.module.child.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.child.model.ChildLicenseEntity;
/**
 * 行业许可子证查询对象
 *
 * @author zxfei
 * @date 2024-07-30
 */
public class ChildLicenseQuery extends ChildLicenseEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点Id */
    private Long siteIdStart;

    /** 结束 站点Id */
    private Long siteIdEnd;

    /** 增加 站点Id */
    private Long siteIdIncrement;

    /** 站点Id列表 */
    private List <Long> siteIdList;

    /** 站点Id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 开始 目录id */
    private Long catalogIdStart;

    /** 结束 目录id */
    private Long catalogIdEnd;

    /** 增加 目录id */
    private Long catalogIdIncrement;

    /** 目录id列表 */
    private List <Long> catalogIdList;

    /** 目录id排除列表 */
    private List <Long> catalogIdNotList;

    /** 目录名称 */
    private List<String> catalogNameList;

    /** 目录名称排除列表 */
    private List <String> catalogNameNotList;
    /** 开始 申请Id */
    private Long applyIdStart;

    /** 结束 申请Id */
    private Long applyIdEnd;

    /** 增加 申请Id */
    private Long applyIdIncrement;

    /** 申请Id列表 */
    private List <Long> applyIdList;

    /** 申请Id排除列表 */
    private List <Long> applyIdNotList;

    /** 开始 子证配置Id */
    private Long documentIdStart;

    /** 结束 子证配置Id */
    private Long documentIdEnd;

    /** 增加 子证配置Id */
    private Long documentIdIncrement;

    /** 子证配置Id列表 */
    private List <Long> documentIdList;

    /** 子证配置Id排除列表 */
    private List <Long> documentIdNotList;

    /** 子证名称 */
    private List<String> documentNameList;

    /** 子证名称排除列表 */
    private List <String> documentNameNotList;
    /** 开始 部门id */
    private Long deptIdStart;

    /** 结束 部门id */
    private Long deptIdEnd;

    /** 增加 部门id */
    private Long deptIdIncrement;

    /** 部门id列表 */
    private List <Long> deptIdList;

    /** 部门id排除列表 */
    private List <Long> deptIdNotList;

    /** 部门名称 */
    private List<String> deptNameList;

    /** 部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 市场主体名称 */
    private List<String> marketEntityNameList;

    /** 市场主体名称排除列表 */
    private List <String> marketEntityNameNotList;
    /** 许可证编号 */
    private List<String> licenseCodeList;

    /** 许可证编号排除列表 */
    private List <String> licenseCodeNotList;
    /** 法定代表人（负责人） */
    private List<String> legalPersonNameList;

    /** 法定代表人（负责人）排除列表 */
    private List <String> legalPersonNameNotList;
    /** 统一社会信用代码 */
    private List<String> creditCodeList;

    /** 统一社会信用代码排除列表 */
    private List <String> creditCodeNotList;
    /** 开始 制证日期 */
    private String productLicenseTimeStart;

    /** 结束 制证日期 */
    private String productLicenseTimeEnd;

    /** 证件二维码 */
    private List<String> certQRCodeList;

    /** 证件二维码排除列表 */
    private List <String> certQRCodeNotList;
    /** 制证机关 */
    private List<String> certAuthorityList;

    /** 制证机关排除列表 */
    private List <String> certAuthorityNotList;
    /** 经营场所 */
    private List<String> businessPlaceList;

    /** 经营场所排除列表 */
    private List <String> businessPlaceNotList;
    /** 许可项目 */
    private List<String> licensedItemsList;

    /** 许可项目排除列表 */
    private List <String> licensedItemsNotList;
    /** 正本文件名称 */
    private List<String> originalFileNameList;

    /** 正本文件名称排除列表 */
    private List <String> originalFileNameNotList;
    /** 正本文件相对路径地址 */
    private List<String> originalFilePathList;

    /** 正本文件相对路径地址排除列表 */
    private List <String> originalFilePathNotList;
    /** 副本文件名称 */
    private List<String> copyFileNameList;

    /** 副本文件名称排除列表 */
    private List <String> copyFileNameNotList;
    /** 副本文件相对路径地址 */
    private List<String> copyFilePathList;

    /** 副本文件相对路径地址排除列表 */
    private List <String> copyFilePathNotList;
    /** 简介 */
    private List<String> summaryList;

    /** 简介排除列表 */
    private List <String> summaryNotList;
    /** 动态表单样式 */
    private List<String> formStyleContentList;

    /** 动态表单样式排除列表 */
    private List <String> formStyleContentNotList;
    /** 提交的表单 */
    private List<String> formContentList;

    /** 提交的表单排除列表 */
    private List <String> formContentNotList;
    /** 开始 处理状态(0.未处理,1.已处理) */
    private Integer processStatusStart;

    /** 结束 处理状态(0.未处理,1.已处理) */
    private Integer processStatusEnd;

    /** 增加 处理状态(0.未处理,1.已处理) */
    private Integer processStatusIncrement;

    /** 处理状态(0.未处理,1.已处理)列表 */
    private List <Integer> processStatusList;

    /** 处理状态(0.未处理,1.已处理)排除列表 */
    private List <Integer> processStatusNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 联报用户 */
    private Long reportUserIdStart;

    /** 结束 联报用户 */
    private Long reportUserIdEnd;

    /** 增加 联报用户 */
    private Long reportUserIdIncrement;

    /** 联报用户列表 */
    private List <Long> reportUserIdList;

    /** 联报用户排除列表 */
    private List <Long> reportUserIdNotList;

    /** 联报用户名称 */
    private List<String> reportUserNameList;

    /** 联报用户名称排除列表 */
    private List <String> reportUserNameNotList;
    /** 开始 联报时间 */
    private String reportTimeStart;

    /** 结束 联报时间 */
    private String reportTimeEnd;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 创建用户名称排除列表 */
    private List <String> createUserNameNotList;
    /** 更新用户名称 */
    private List<String> updateUserNameList;

    /** 更新用户名称排除列表 */
    private List <String> updateUserNameNotList;
    /** 开始 删除状态(0.未删除,1.已删除) */
    private Integer deletedStart;

    /** 结束 删除状态(0.未删除,1.已删除) */
    private Integer deletedEnd;

    /** 增加 删除状态(0.未删除,1.已删除) */
    private Integer deletedIncrement;

    /** 删除状态(0.未删除,1.已删除)列表 */
    private List <Integer> deletedList;

    /** 删除状态(0.未删除,1.已删除)排除列表 */
    private List <Integer> deletedNotList;

    /** 简称 */
    private List<String> shortNameList;

    /** 简称排除列表 */
    private List <String> shortNameNotList;
    /** 扩展列1 */
    private List<String> ext1List;

    /** 扩展列1排除列表 */
    private List <String> ext1NotList;
    /** 扩展列2 */
    private List<String> ext2List;

    /** 扩展列2排除列表 */
    private List <String> ext2NotList;
    /** 扩展列3 */
    private List<String> ext3List;

    /** 扩展列3排除列表 */
    private List <String> ext3NotList;
    /** 扩展列4 */
    private List<String> ext4List;

    /** 扩展列4排除列表 */
    private List <String> ext4NotList;
    /** 扩展列5 */
    private List<String> ext5List;

    /** 扩展列5排除列表 */
    private List <String> ext5NotList;
    /** 扩展列6 */
    private List<String> ext6List;

    /** 扩展列6排除列表 */
    private List <String> ext6NotList;
    /** 扩展列7 */
    private List<String> ext7List;

    /** 扩展列7排除列表 */
    private List <String> ext7NotList;
    /** 扩展列8 */
    private List<String> ext8List;

    /** 扩展列8排除列表 */
    private List <String> ext8NotList;
    /** 开始 子证状态(0.禁用,1.启用) */
    private Integer childStatusStart;

    /** 结束 子证状态(0.禁用,1.启用) */
    private Integer childStatusEnd;

    /** 增加 子证状态(0.禁用,1.启用) */
    private Integer childStatusIncrement;

    /** 子证状态(0.禁用,1.启用)列表 */
    private List <Integer> childStatusList;

    /** 子证状态(0.禁用,1.启用)排除列表 */
    private List <Integer> childStatusNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ChildLicenseQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ChildLicenseQuery> andConditionList;

    public ChildLicenseQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 站点Id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点Id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点Id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点Id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点Id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点Id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点Id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点Id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点Id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点Id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 站点名称
     * @return siteNameList
     */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
     * 获取 站点名称
     * @return siteNameNotList
     */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
     * 设置 站点名称
     * @param siteNameNotList
     */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
     * 获取 开始 目录id
     * @return catalogIdStart
     */
    public Long getCatalogIdStart(){
        return this.catalogIdStart;
    }

    /**
     * 设置 开始 目录id
     * @param catalogIdStart
     */
    public void setCatalogIdStart(Long catalogIdStart){
        this.catalogIdStart = catalogIdStart;
    }

    /**
     * 获取 结束 目录id
     * @return $catalogIdEnd
     */
    public Long getCatalogIdEnd(){
        return this.catalogIdEnd;
    }

    /**
     * 设置 结束 目录id
     * @param catalogIdEnd
     */
    public void setCatalogIdEnd(Long catalogIdEnd){
        this.catalogIdEnd = catalogIdEnd;
    }

    /**
     * 获取 增加 目录id
     * @return catalogIdIncrement
     */
    public Long getCatalogIdIncrement(){
        return this.catalogIdIncrement;
    }

    /**
     * 设置 增加 目录id
     * @param catalogIdIncrement
     */
    public void setCatalogIdIncrement(Long catalogIdIncrement){
        this.catalogIdIncrement = catalogIdIncrement;
    }

    /**
     * 获取 目录id
     * @return catalogIdList
     */
    public List<Long> getCatalogIdList(){
        return this.catalogIdList;
    }

    /**
     * 设置 目录id
     * @param catalogIdList
     */
    public void setCatalogIdList(List<Long> catalogIdList){
        this.catalogIdList = catalogIdList;
    }

    /**
     * 获取 目录id
     * @return catalogIdNotList
     */
    public List<Long> getCatalogIdNotList(){
        return this.catalogIdNotList;
    }

    /**
     * 设置 目录id
     * @param catalogIdNotList
     */
    public void setCatalogIdNotList(List<Long> catalogIdNotList){
        this.catalogIdNotList = catalogIdNotList;
    }


    /**
     * 获取 目录名称
     * @return catalogNameList
     */
    public List<String> getCatalogNameList(){
        return this.catalogNameList;
    }

    /**
     * 设置 目录名称
     * @param catalogNameList
     */
    public void setCatalogNameList(List<String> catalogNameList){
        this.catalogNameList = catalogNameList;
    }

    /**
     * 获取 目录名称
     * @return catalogNameNotList
     */
    public List<String> getCatalogNameNotList(){
        return this.catalogNameNotList;
    }

    /**
     * 设置 目录名称
     * @param catalogNameNotList
     */
    public void setCatalogNameNotList(List<String> catalogNameNotList){
        this.catalogNameNotList = catalogNameNotList;
    }

    /**
     * 获取 开始 申请Id
     * @return applyIdStart
     */
    public Long getApplyIdStart(){
        return this.applyIdStart;
    }

    /**
     * 设置 开始 申请Id
     * @param applyIdStart
     */
    public void setApplyIdStart(Long applyIdStart){
        this.applyIdStart = applyIdStart;
    }

    /**
     * 获取 结束 申请Id
     * @return $applyIdEnd
     */
    public Long getApplyIdEnd(){
        return this.applyIdEnd;
    }

    /**
     * 设置 结束 申请Id
     * @param applyIdEnd
     */
    public void setApplyIdEnd(Long applyIdEnd){
        this.applyIdEnd = applyIdEnd;
    }

    /**
     * 获取 增加 申请Id
     * @return applyIdIncrement
     */
    public Long getApplyIdIncrement(){
        return this.applyIdIncrement;
    }

    /**
     * 设置 增加 申请Id
     * @param applyIdIncrement
     */
    public void setApplyIdIncrement(Long applyIdIncrement){
        this.applyIdIncrement = applyIdIncrement;
    }

    /**
     * 获取 申请Id
     * @return applyIdList
     */
    public List<Long> getApplyIdList(){
        return this.applyIdList;
    }

    /**
     * 设置 申请Id
     * @param applyIdList
     */
    public void setApplyIdList(List<Long> applyIdList){
        this.applyIdList = applyIdList;
    }

    /**
     * 获取 申请Id
     * @return applyIdNotList
     */
    public List<Long> getApplyIdNotList(){
        return this.applyIdNotList;
    }

    /**
     * 设置 申请Id
     * @param applyIdNotList
     */
    public void setApplyIdNotList(List<Long> applyIdNotList){
        this.applyIdNotList = applyIdNotList;
    }


    /**
     * 获取 开始 子证配置Id
     * @return documentIdStart
     */
    public Long getDocumentIdStart(){
        return this.documentIdStart;
    }

    /**
     * 设置 开始 子证配置Id
     * @param documentIdStart
     */
    public void setDocumentIdStart(Long documentIdStart){
        this.documentIdStart = documentIdStart;
    }

    /**
     * 获取 结束 子证配置Id
     * @return $documentIdEnd
     */
    public Long getDocumentIdEnd(){
        return this.documentIdEnd;
    }

    /**
     * 设置 结束 子证配置Id
     * @param documentIdEnd
     */
    public void setDocumentIdEnd(Long documentIdEnd){
        this.documentIdEnd = documentIdEnd;
    }

    /**
     * 获取 增加 子证配置Id
     * @return documentIdIncrement
     */
    public Long getDocumentIdIncrement(){
        return this.documentIdIncrement;
    }

    /**
     * 设置 增加 子证配置Id
     * @param documentIdIncrement
     */
    public void setDocumentIdIncrement(Long documentIdIncrement){
        this.documentIdIncrement = documentIdIncrement;
    }

    /**
     * 获取 子证配置Id
     * @return documentIdList
     */
    public List<Long> getDocumentIdList(){
        return this.documentIdList;
    }

    /**
     * 设置 子证配置Id
     * @param documentIdList
     */
    public void setDocumentIdList(List<Long> documentIdList){
        this.documentIdList = documentIdList;
    }

    /**
     * 获取 子证配置Id
     * @return documentIdNotList
     */
    public List<Long> getDocumentIdNotList(){
        return this.documentIdNotList;
    }

    /**
     * 设置 子证配置Id
     * @param documentIdNotList
     */
    public void setDocumentIdNotList(List<Long> documentIdNotList){
        this.documentIdNotList = documentIdNotList;
    }


    /**
     * 获取 子证名称
     * @return documentNameList
     */
    public List<String> getDocumentNameList(){
        return this.documentNameList;
    }

    /**
     * 设置 子证名称
     * @param documentNameList
     */
    public void setDocumentNameList(List<String> documentNameList){
        this.documentNameList = documentNameList;
    }

    /**
     * 获取 子证名称
     * @return documentNameNotList
     */
    public List<String> getDocumentNameNotList(){
        return this.documentNameNotList;
    }

    /**
     * 设置 子证名称
     * @param documentNameNotList
     */
    public void setDocumentNameNotList(List<String> documentNameNotList){
        this.documentNameNotList = documentNameNotList;
    }

    /**
     * 获取 开始 部门id
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 部门id
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 部门id
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 部门id
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 部门id
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 部门id
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 部门id
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 部门id
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 部门id
     * @return deptIdNotList
     */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
     * 设置 部门id
     * @param deptIdNotList
     */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
     * 获取 部门名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
     * 获取 部门名称
     * @return deptNameNotList
     */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
     * 设置 部门名称
     * @param deptNameNotList
     */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
     * 获取 市场主体名称
     * @return marketEntityNameList
     */
    public List<String> getMarketEntityNameList(){
        return this.marketEntityNameList;
    }

    /**
     * 设置 市场主体名称
     * @param marketEntityNameList
     */
    public void setMarketEntityNameList(List<String> marketEntityNameList){
        this.marketEntityNameList = marketEntityNameList;
    }

    /**
     * 获取 市场主体名称
     * @return marketEntityNameNotList
     */
    public List<String> getMarketEntityNameNotList(){
        return this.marketEntityNameNotList;
    }

    /**
     * 设置 市场主体名称
     * @param marketEntityNameNotList
     */
    public void setMarketEntityNameNotList(List<String> marketEntityNameNotList){
        this.marketEntityNameNotList = marketEntityNameNotList;
    }

    /**
     * 获取 许可证编号
     * @return licenseCodeList
     */
    public List<String> getLicenseCodeList(){
        return this.licenseCodeList;
    }

    /**
     * 设置 许可证编号
     * @param licenseCodeList
     */
    public void setLicenseCodeList(List<String> licenseCodeList){
        this.licenseCodeList = licenseCodeList;
    }

    /**
     * 获取 许可证编号
     * @return licenseCodeNotList
     */
    public List<String> getLicenseCodeNotList(){
        return this.licenseCodeNotList;
    }

    /**
     * 设置 许可证编号
     * @param licenseCodeNotList
     */
    public void setLicenseCodeNotList(List<String> licenseCodeNotList){
        this.licenseCodeNotList = licenseCodeNotList;
    }

    /**
     * 获取 法定代表人（负责人）
     * @return legalPersonNameList
     */
    public List<String> getLegalPersonNameList(){
        return this.legalPersonNameList;
    }

    /**
     * 设置 法定代表人（负责人）
     * @param legalPersonNameList
     */
    public void setLegalPersonNameList(List<String> legalPersonNameList){
        this.legalPersonNameList = legalPersonNameList;
    }

    /**
     * 获取 法定代表人（负责人）
     * @return legalPersonNameNotList
     */
    public List<String> getLegalPersonNameNotList(){
        return this.legalPersonNameNotList;
    }

    /**
     * 设置 法定代表人（负责人）
     * @param legalPersonNameNotList
     */
    public void setLegalPersonNameNotList(List<String> legalPersonNameNotList){
        this.legalPersonNameNotList = legalPersonNameNotList;
    }

    /**
     * 获取 统一社会信用代码
     * @return creditCodeList
     */
    public List<String> getCreditCodeList(){
        return this.creditCodeList;
    }

    /**
     * 设置 统一社会信用代码
     * @param creditCodeList
     */
    public void setCreditCodeList(List<String> creditCodeList){
        this.creditCodeList = creditCodeList;
    }

    /**
     * 获取 统一社会信用代码
     * @return creditCodeNotList
     */
    public List<String> getCreditCodeNotList(){
        return this.creditCodeNotList;
    }

    /**
     * 设置 统一社会信用代码
     * @param creditCodeNotList
     */
    public void setCreditCodeNotList(List<String> creditCodeNotList){
        this.creditCodeNotList = creditCodeNotList;
    }

    /**
     * 获取 开始 制证日期
     * @return productLicenseTimeStart
     */
    public String getProductLicenseTimeStart(){
        return this.productLicenseTimeStart;
    }

    /**
     * 设置 开始 制证日期
     * @param productLicenseTimeStart
     */
    public void setProductLicenseTimeStart(String productLicenseTimeStart){
        this.productLicenseTimeStart = productLicenseTimeStart;
    }

    /**
     * 获取 结束 制证日期
     * @return productLicenseTimeEnd
     */
    public String getProductLicenseTimeEnd(){
        return this.productLicenseTimeEnd;
    }

    /**
     * 设置 结束 制证日期
     * @param productLicenseTimeEnd
     */
    public void setProductLicenseTimeEnd(String productLicenseTimeEnd){
        this.productLicenseTimeEnd = productLicenseTimeEnd;
    }

    /**
     * 获取 证件二维码
     * @return certQRCodeList
     */
    public List<String> getCertQRCodeList(){
        return this.certQRCodeList;
    }

    /**
     * 设置 证件二维码
     * @param certQRCodeList
     */
    public void setCertQRCodeList(List<String> certQRCodeList){
        this.certQRCodeList = certQRCodeList;
    }

    /**
     * 获取 证件二维码
     * @return certQRCodeNotList
     */
    public List<String> getCertQRCodeNotList(){
        return this.certQRCodeNotList;
    }

    /**
     * 设置 证件二维码
     * @param certQRCodeNotList
     */
    public void setCertQRCodeNotList(List<String> certQRCodeNotList){
        this.certQRCodeNotList = certQRCodeNotList;
    }

    /**
     * 获取 制证机关
     * @return certAuthorityList
     */
    public List<String> getCertAuthorityList(){
        return this.certAuthorityList;
    }

    /**
     * 设置 制证机关
     * @param certAuthorityList
     */
    public void setCertAuthorityList(List<String> certAuthorityList){
        this.certAuthorityList = certAuthorityList;
    }

    /**
     * 获取 制证机关
     * @return certAuthorityNotList
     */
    public List<String> getCertAuthorityNotList(){
        return this.certAuthorityNotList;
    }

    /**
     * 设置 制证机关
     * @param certAuthorityNotList
     */
    public void setCertAuthorityNotList(List<String> certAuthorityNotList){
        this.certAuthorityNotList = certAuthorityNotList;
    }

    /**
     * 获取 经营场所
     * @return businessPlaceList
     */
    public List<String> getBusinessPlaceList(){
        return this.businessPlaceList;
    }

    /**
     * 设置 经营场所
     * @param businessPlaceList
     */
    public void setBusinessPlaceList(List<String> businessPlaceList){
        this.businessPlaceList = businessPlaceList;
    }

    /**
     * 获取 经营场所
     * @return businessPlaceNotList
     */
    public List<String> getBusinessPlaceNotList(){
        return this.businessPlaceNotList;
    }

    /**
     * 设置 经营场所
     * @param businessPlaceNotList
     */
    public void setBusinessPlaceNotList(List<String> businessPlaceNotList){
        this.businessPlaceNotList = businessPlaceNotList;
    }

    /**
     * 获取 许可项目
     * @return licensedItemsList
     */
    public List<String> getLicensedItemsList(){
        return this.licensedItemsList;
    }

    /**
     * 设置 许可项目
     * @param licensedItemsList
     */
    public void setLicensedItemsList(List<String> licensedItemsList){
        this.licensedItemsList = licensedItemsList;
    }

    /**
     * 获取 许可项目
     * @return licensedItemsNotList
     */
    public List<String> getLicensedItemsNotList(){
        return this.licensedItemsNotList;
    }

    /**
     * 设置 许可项目
     * @param licensedItemsNotList
     */
    public void setLicensedItemsNotList(List<String> licensedItemsNotList){
        this.licensedItemsNotList = licensedItemsNotList;
    }

    /**
     * 获取 正本文件名称
     * @return originalFileNameList
     */
    public List<String> getOriginalFileNameList(){
        return this.originalFileNameList;
    }

    /**
     * 设置 正本文件名称
     * @param originalFileNameList
     */
    public void setOriginalFileNameList(List<String> originalFileNameList){
        this.originalFileNameList = originalFileNameList;
    }

    /**
     * 获取 正本文件名称
     * @return originalFileNameNotList
     */
    public List<String> getOriginalFileNameNotList(){
        return this.originalFileNameNotList;
    }

    /**
     * 设置 正本文件名称
     * @param originalFileNameNotList
     */
    public void setOriginalFileNameNotList(List<String> originalFileNameNotList){
        this.originalFileNameNotList = originalFileNameNotList;
    }

    /**
     * 获取 正本文件相对路径地址
     * @return originalFilePathList
     */
    public List<String> getOriginalFilePathList(){
        return this.originalFilePathList;
    }

    /**
     * 设置 正本文件相对路径地址
     * @param originalFilePathList
     */
    public void setOriginalFilePathList(List<String> originalFilePathList){
        this.originalFilePathList = originalFilePathList;
    }

    /**
     * 获取 正本文件相对路径地址
     * @return originalFilePathNotList
     */
    public List<String> getOriginalFilePathNotList(){
        return this.originalFilePathNotList;
    }

    /**
     * 设置 正本文件相对路径地址
     * @param originalFilePathNotList
     */
    public void setOriginalFilePathNotList(List<String> originalFilePathNotList){
        this.originalFilePathNotList = originalFilePathNotList;
    }

    /**
     * 获取 副本文件名称
     * @return copyFileNameList
     */
    public List<String> getCopyFileNameList(){
        return this.copyFileNameList;
    }

    /**
     * 设置 副本文件名称
     * @param copyFileNameList
     */
    public void setCopyFileNameList(List<String> copyFileNameList){
        this.copyFileNameList = copyFileNameList;
    }

    /**
     * 获取 副本文件名称
     * @return copyFileNameNotList
     */
    public List<String> getCopyFileNameNotList(){
        return this.copyFileNameNotList;
    }

    /**
     * 设置 副本文件名称
     * @param copyFileNameNotList
     */
    public void setCopyFileNameNotList(List<String> copyFileNameNotList){
        this.copyFileNameNotList = copyFileNameNotList;
    }

    /**
     * 获取 副本文件相对路径地址
     * @return copyFilePathList
     */
    public List<String> getCopyFilePathList(){
        return this.copyFilePathList;
    }

    /**
     * 设置 副本文件相对路径地址
     * @param copyFilePathList
     */
    public void setCopyFilePathList(List<String> copyFilePathList){
        this.copyFilePathList = copyFilePathList;
    }

    /**
     * 获取 副本文件相对路径地址
     * @return copyFilePathNotList
     */
    public List<String> getCopyFilePathNotList(){
        return this.copyFilePathNotList;
    }

    /**
     * 设置 副本文件相对路径地址
     * @param copyFilePathNotList
     */
    public void setCopyFilePathNotList(List<String> copyFilePathNotList){
        this.copyFilePathNotList = copyFilePathNotList;
    }

    /**
     * 获取 简介
     * @return summaryList
     */
    public List<String> getSummaryList(){
        return this.summaryList;
    }

    /**
     * 设置 简介
     * @param summaryList
     */
    public void setSummaryList(List<String> summaryList){
        this.summaryList = summaryList;
    }

    /**
     * 获取 简介
     * @return summaryNotList
     */
    public List<String> getSummaryNotList(){
        return this.summaryNotList;
    }

    /**
     * 设置 简介
     * @param summaryNotList
     */
    public void setSummaryNotList(List<String> summaryNotList){
        this.summaryNotList = summaryNotList;
    }

    /**
     * 获取 动态表单样式
     * @return formStyleContentList
     */
    public List<String> getFormStyleContentList(){
        return this.formStyleContentList;
    }

    /**
     * 设置 动态表单样式
     * @param formStyleContentList
     */
    public void setFormStyleContentList(List<String> formStyleContentList){
        this.formStyleContentList = formStyleContentList;
    }

    /**
     * 获取 动态表单样式
     * @return formStyleContentNotList
     */
    public List<String> getFormStyleContentNotList(){
        return this.formStyleContentNotList;
    }

    /**
     * 设置 动态表单样式
     * @param formStyleContentNotList
     */
    public void setFormStyleContentNotList(List<String> formStyleContentNotList){
        this.formStyleContentNotList = formStyleContentNotList;
    }

    /**
     * 获取 提交的表单
     * @return formContentList
     */
    public List<String> getFormContentList(){
        return this.formContentList;
    }

    /**
     * 设置 提交的表单
     * @param formContentList
     */
    public void setFormContentList(List<String> formContentList){
        this.formContentList = formContentList;
    }

    /**
     * 获取 提交的表单
     * @return formContentNotList
     */
    public List<String> getFormContentNotList(){
        return this.formContentNotList;
    }

    /**
     * 设置 提交的表单
     * @param formContentNotList
     */
    public void setFormContentNotList(List<String> formContentNotList){
        this.formContentNotList = formContentNotList;
    }

    /**
     * 获取 开始 处理状态(0.未处理,1.已处理)
     * @return processStatusStart
     */
    public Integer getProcessStatusStart(){
        return this.processStatusStart;
    }

    /**
     * 设置 开始 处理状态(0.未处理,1.已处理)
     * @param processStatusStart
     */
    public void setProcessStatusStart(Integer processStatusStart){
        this.processStatusStart = processStatusStart;
    }

    /**
     * 获取 结束 处理状态(0.未处理,1.已处理)
     * @return $processStatusEnd
     */
    public Integer getProcessStatusEnd(){
        return this.processStatusEnd;
    }

    /**
     * 设置 结束 处理状态(0.未处理,1.已处理)
     * @param processStatusEnd
     */
    public void setProcessStatusEnd(Integer processStatusEnd){
        this.processStatusEnd = processStatusEnd;
    }

    /**
     * 获取 增加 处理状态(0.未处理,1.已处理)
     * @return processStatusIncrement
     */
    public Integer getProcessStatusIncrement(){
        return this.processStatusIncrement;
    }

    /**
     * 设置 增加 处理状态(0.未处理,1.已处理)
     * @param processStatusIncrement
     */
    public void setProcessStatusIncrement(Integer processStatusIncrement){
        this.processStatusIncrement = processStatusIncrement;
    }

    /**
     * 获取 处理状态(0.未处理,1.已处理)
     * @return processStatusList
     */
    public List<Integer> getProcessStatusList(){
        return this.processStatusList;
    }

    /**
     * 设置 处理状态(0.未处理,1.已处理)
     * @param processStatusList
     */
    public void setProcessStatusList(List<Integer> processStatusList){
        this.processStatusList = processStatusList;
    }

    /**
     * 获取 处理状态(0.未处理,1.已处理)
     * @return processStatusNotList
     */
    public List<Integer> getProcessStatusNotList(){
        return this.processStatusNotList;
    }

    /**
     * 设置 处理状态(0.未处理,1.已处理)
     * @param processStatusNotList
     */
    public void setProcessStatusNotList(List<Integer> processStatusNotList){
        this.processStatusNotList = processStatusNotList;
    }


    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 联报用户
     * @return reportUserIdStart
     */
    public Long getReportUserIdStart(){
        return this.reportUserIdStart;
    }

    /**
     * 设置 开始 联报用户
     * @param reportUserIdStart
     */
    public void setReportUserIdStart(Long reportUserIdStart){
        this.reportUserIdStart = reportUserIdStart;
    }

    /**
     * 获取 结束 联报用户
     * @return $reportUserIdEnd
     */
    public Long getReportUserIdEnd(){
        return this.reportUserIdEnd;
    }

    /**
     * 设置 结束 联报用户
     * @param reportUserIdEnd
     */
    public void setReportUserIdEnd(Long reportUserIdEnd){
        this.reportUserIdEnd = reportUserIdEnd;
    }

    /**
     * 获取 增加 联报用户
     * @return reportUserIdIncrement
     */
    public Long getReportUserIdIncrement(){
        return this.reportUserIdIncrement;
    }

    /**
     * 设置 增加 联报用户
     * @param reportUserIdIncrement
     */
    public void setReportUserIdIncrement(Long reportUserIdIncrement){
        this.reportUserIdIncrement = reportUserIdIncrement;
    }

    /**
     * 获取 联报用户
     * @return reportUserIdList
     */
    public List<Long> getReportUserIdList(){
        return this.reportUserIdList;
    }

    /**
     * 设置 联报用户
     * @param reportUserIdList
     */
    public void setReportUserIdList(List<Long> reportUserIdList){
        this.reportUserIdList = reportUserIdList;
    }

    /**
     * 获取 联报用户
     * @return reportUserIdNotList
     */
    public List<Long> getReportUserIdNotList(){
        return this.reportUserIdNotList;
    }

    /**
     * 设置 联报用户
     * @param reportUserIdNotList
     */
    public void setReportUserIdNotList(List<Long> reportUserIdNotList){
        this.reportUserIdNotList = reportUserIdNotList;
    }


    /**
     * 获取 联报用户名称
     * @return reportUserNameList
     */
    public List<String> getReportUserNameList(){
        return this.reportUserNameList;
    }

    /**
     * 设置 联报用户名称
     * @param reportUserNameList
     */
    public void setReportUserNameList(List<String> reportUserNameList){
        this.reportUserNameList = reportUserNameList;
    }

    /**
     * 获取 联报用户名称
     * @return reportUserNameNotList
     */
    public List<String> getReportUserNameNotList(){
        return this.reportUserNameNotList;
    }

    /**
     * 设置 联报用户名称
     * @param reportUserNameNotList
     */
    public void setReportUserNameNotList(List<String> reportUserNameNotList){
        this.reportUserNameNotList = reportUserNameNotList;
    }

    /**
     * 获取 开始 联报时间
     * @return reportTimeStart
     */
    public String getReportTimeStart(){
        return this.reportTimeStart;
    }

    /**
     * 设置 开始 联报时间
     * @param reportTimeStart
     */
    public void setReportTimeStart(String reportTimeStart){
        this.reportTimeStart = reportTimeStart;
    }

    /**
     * 获取 结束 联报时间
     * @return reportTimeEnd
     */
    public String getReportTimeEnd(){
        return this.reportTimeEnd;
    }

    /**
     * 设置 结束 联报时间
     * @param reportTimeEnd
     */
    public void setReportTimeEnd(String reportTimeEnd){
        this.reportTimeEnd = reportTimeEnd;
    }

    /**
     * 获取 创建用户名称
     * @return createUserNameList
     */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
     * 设置 创建用户名称
     * @param createUserNameList
     */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }

    /**
     * 获取 创建用户名称
     * @return createUserNameNotList
     */
    public List<String> getCreateUserNameNotList(){
        return this.createUserNameNotList;
    }

    /**
     * 设置 创建用户名称
     * @param createUserNameNotList
     */
    public void setCreateUserNameNotList(List<String> createUserNameNotList){
        this.createUserNameNotList = createUserNameNotList;
    }

    /**
     * 获取 更新用户名称
     * @return updateUserNameList
     */
    public List<String> getUpdateUserNameList(){
        return this.updateUserNameList;
    }

    /**
     * 设置 更新用户名称
     * @param updateUserNameList
     */
    public void setUpdateUserNameList(List<String> updateUserNameList){
        this.updateUserNameList = updateUserNameList;
    }

    /**
     * 获取 更新用户名称
     * @return updateUserNameNotList
     */
    public List<String> getUpdateUserNameNotList(){
        return this.updateUserNameNotList;
    }

    /**
     * 设置 更新用户名称
     * @param updateUserNameNotList
     */
    public void setUpdateUserNameNotList(List<String> updateUserNameNotList){
        this.updateUserNameNotList = updateUserNameNotList;
    }

    /**
     * 获取 开始 删除状态(0.未删除,1.已删除)
     * @return deletedStart
     */
    public Integer getDeletedStart(){
        return this.deletedStart;
    }

    /**
     * 设置 开始 删除状态(0.未删除,1.已删除)
     * @param deletedStart
     */
    public void setDeletedStart(Integer deletedStart){
        this.deletedStart = deletedStart;
    }

    /**
     * 获取 结束 删除状态(0.未删除,1.已删除)
     * @return $deletedEnd
     */
    public Integer getDeletedEnd(){
        return this.deletedEnd;
    }

    /**
     * 设置 结束 删除状态(0.未删除,1.已删除)
     * @param deletedEnd
     */
    public void setDeletedEnd(Integer deletedEnd){
        this.deletedEnd = deletedEnd;
    }

    /**
     * 获取 增加 删除状态(0.未删除,1.已删除)
     * @return deletedIncrement
     */
    public Integer getDeletedIncrement(){
        return this.deletedIncrement;
    }

    /**
     * 设置 增加 删除状态(0.未删除,1.已删除)
     * @param deletedIncrement
     */
    public void setDeletedIncrement(Integer deletedIncrement){
        this.deletedIncrement = deletedIncrement;
    }

    /**
     * 获取 删除状态(0.未删除,1.已删除)
     * @return deletedList
     */
    public List<Integer> getDeletedList(){
        return this.deletedList;
    }

    /**
     * 设置 删除状态(0.未删除,1.已删除)
     * @param deletedList
     */
    public void setDeletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
    }

    /**
     * 获取 删除状态(0.未删除,1.已删除)
     * @return deletedNotList
     */
    public List<Integer> getDeletedNotList(){
        return this.deletedNotList;
    }

    /**
     * 设置 删除状态(0.未删除,1.已删除)
     * @param deletedNotList
     */
    public void setDeletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
    }


    /**
     * 获取 简称
     * @return shortNameList
     */
    public List<String> getShortNameList(){
        return this.shortNameList;
    }

    /**
     * 设置 简称
     * @param shortNameList
     */
    public void setShortNameList(List<String> shortNameList){
        this.shortNameList = shortNameList;
    }

    /**
     * 获取 简称
     * @return shortNameNotList
     */
    public List<String> getShortNameNotList(){
        return this.shortNameNotList;
    }

    /**
     * 设置 简称
     * @param shortNameNotList
     */
    public void setShortNameNotList(List<String> shortNameNotList){
        this.shortNameNotList = shortNameNotList;
    }

    /**
     * 获取 扩展列1
     * @return ext1List
     */
    public List<String> getExt1List(){
        return this.ext1List;
    }

    /**
     * 设置 扩展列1
     * @param ext1List
     */
    public void setExt1List(List<String> ext1List){
        this.ext1List = ext1List;
    }

    /**
     * 获取 扩展列1
     * @return ext1NotList
     */
    public List<String> getExt1NotList(){
        return this.ext1NotList;
    }

    /**
     * 设置 扩展列1
     * @param ext1NotList
     */
    public void setExt1NotList(List<String> ext1NotList){
        this.ext1NotList = ext1NotList;
    }

    /**
     * 获取 扩展列2
     * @return ext2List
     */
    public List<String> getExt2List(){
        return this.ext2List;
    }

    /**
     * 设置 扩展列2
     * @param ext2List
     */
    public void setExt2List(List<String> ext2List){
        this.ext2List = ext2List;
    }

    /**
     * 获取 扩展列2
     * @return ext2NotList
     */
    public List<String> getExt2NotList(){
        return this.ext2NotList;
    }

    /**
     * 设置 扩展列2
     * @param ext2NotList
     */
    public void setExt2NotList(List<String> ext2NotList){
        this.ext2NotList = ext2NotList;
    }

    /**
     * 获取 扩展列3
     * @return ext3List
     */
    public List<String> getExt3List(){
        return this.ext3List;
    }

    /**
     * 设置 扩展列3
     * @param ext3List
     */
    public void setExt3List(List<String> ext3List){
        this.ext3List = ext3List;
    }

    /**
     * 获取 扩展列3
     * @return ext3NotList
     */
    public List<String> getExt3NotList(){
        return this.ext3NotList;
    }

    /**
     * 设置 扩展列3
     * @param ext3NotList
     */
    public void setExt3NotList(List<String> ext3NotList){
        this.ext3NotList = ext3NotList;
    }

    /**
     * 获取 扩展列4
     * @return ext4List
     */
    public List<String> getExt4List(){
        return this.ext4List;
    }

    /**
     * 设置 扩展列4
     * @param ext4List
     */
    public void setExt4List(List<String> ext4List){
        this.ext4List = ext4List;
    }

    /**
     * 获取 扩展列4
     * @return ext4NotList
     */
    public List<String> getExt4NotList(){
        return this.ext4NotList;
    }

    /**
     * 设置 扩展列4
     * @param ext4NotList
     */
    public void setExt4NotList(List<String> ext4NotList){
        this.ext4NotList = ext4NotList;
    }

    /**
     * 获取 扩展列5
     * @return ext5List
     */
    public List<String> getExt5List(){
        return this.ext5List;
    }

    /**
     * 设置 扩展列5
     * @param ext5List
     */
    public void setExt5List(List<String> ext5List){
        this.ext5List = ext5List;
    }

    /**
     * 获取 扩展列5
     * @return ext5NotList
     */
    public List<String> getExt5NotList(){
        return this.ext5NotList;
    }

    /**
     * 设置 扩展列5
     * @param ext5NotList
     */
    public void setExt5NotList(List<String> ext5NotList){
        this.ext5NotList = ext5NotList;
    }

    /**
     * 获取 扩展列6
     * @return ext6List
     */
    public List<String> getExt6List(){
        return this.ext6List;
    }

    /**
     * 设置 扩展列6
     * @param ext6List
     */
    public void setExt6List(List<String> ext6List){
        this.ext6List = ext6List;
    }

    /**
     * 获取 扩展列6
     * @return ext6NotList
     */
    public List<String> getExt6NotList(){
        return this.ext6NotList;
    }

    /**
     * 设置 扩展列6
     * @param ext6NotList
     */
    public void setExt6NotList(List<String> ext6NotList){
        this.ext6NotList = ext6NotList;
    }

    /**
     * 获取 扩展列7
     * @return ext7List
     */
    public List<String> getExt7List(){
        return this.ext7List;
    }

    /**
     * 设置 扩展列7
     * @param ext7List
     */
    public void setExt7List(List<String> ext7List){
        this.ext7List = ext7List;
    }

    /**
     * 获取 扩展列7
     * @return ext7NotList
     */
    public List<String> getExt7NotList(){
        return this.ext7NotList;
    }

    /**
     * 设置 扩展列7
     * @param ext7NotList
     */
    public void setExt7NotList(List<String> ext7NotList){
        this.ext7NotList = ext7NotList;
    }

    /**
     * 获取 扩展列8
     * @return ext8List
     */
    public List<String> getExt8List(){
        return this.ext8List;
    }

    /**
     * 设置 扩展列8
     * @param ext8List
     */
    public void setExt8List(List<String> ext8List){
        this.ext8List = ext8List;
    }

    /**
     * 获取 扩展列8
     * @return ext8NotList
     */
    public List<String> getExt8NotList(){
        return this.ext8NotList;
    }

    /**
     * 设置 扩展列8
     * @param ext8NotList
     */
    public void setExt8NotList(List<String> ext8NotList){
        this.ext8NotList = ext8NotList;
    }

    /**
     * 获取 开始 子证状态(0.禁用,1.启用)
     * @return childStatusStart
     */
    public Integer getChildStatusStart(){
        return this.childStatusStart;
    }

    /**
     * 设置 开始 子证状态(0.禁用,1.启用)
     * @param childStatusStart
     */
    public void setChildStatusStart(Integer childStatusStart){
        this.childStatusStart = childStatusStart;
    }

    /**
     * 获取 结束 子证状态(0.禁用,1.启用)
     * @return $childStatusEnd
     */
    public Integer getChildStatusEnd(){
        return this.childStatusEnd;
    }

    /**
     * 设置 结束 子证状态(0.禁用,1.启用)
     * @param childStatusEnd
     */
    public void setChildStatusEnd(Integer childStatusEnd){
        this.childStatusEnd = childStatusEnd;
    }

    /**
     * 获取 增加 子证状态(0.禁用,1.启用)
     * @return childStatusIncrement
     */
    public Integer getChildStatusIncrement(){
        return this.childStatusIncrement;
    }

    /**
     * 设置 增加 子证状态(0.禁用,1.启用)
     * @param childStatusIncrement
     */
    public void setChildStatusIncrement(Integer childStatusIncrement){
        this.childStatusIncrement = childStatusIncrement;
    }

    /**
     * 获取 子证状态(0.禁用,1.启用)
     * @return childStatusList
     */
    public List<Integer> getChildStatusList(){
        return this.childStatusList;
    }

    /**
     * 设置 子证状态(0.禁用,1.启用)
     * @param childStatusList
     */
    public void setChildStatusList(List<Integer> childStatusList){
        this.childStatusList = childStatusList;
    }

    /**
     * 获取 子证状态(0.禁用,1.启用)
     * @return childStatusNotList
     */
    public List<Integer> getChildStatusNotList(){
        return this.childStatusNotList;
    }

    /**
     * 设置 子证状态(0.禁用,1.启用)
     * @param childStatusNotList
     */
    public void setChildStatusNotList(List<Integer> childStatusNotList){
        this.childStatusNotList = childStatusNotList;
    }


    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public ChildLicenseQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public ChildLicenseQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public ChildLicenseQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public ChildLicenseQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public ChildLicenseQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public ChildLicenseQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  站点Id
     * @param siteId
     */
    public ChildLicenseQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点Id
     * @param siteIdStart
     */
    public ChildLicenseQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点Id
     * @param siteIdEnd
     */
    public ChildLicenseQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点Id
     * @param siteIdIncrement
     */
    public ChildLicenseQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点Id
     * @param siteIdList
     */
    public ChildLicenseQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点Id
     * @param siteIdNotList
     */
    public ChildLicenseQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }


    /**
     * 设置 站点名称
     * @param siteName
     */
    public ChildLicenseQuery siteName(String siteName){
        setSiteName(siteName);
        return this;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public ChildLicenseQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
        return this;
    }

    /**
     * 设置  目录id
     * @param catalogId
     */
    public ChildLicenseQuery catalogId(Long catalogId){
        setCatalogId(catalogId);
        return this;
    }

    /**
     * 设置 开始 目录id
     * @param catalogIdStart
     */
    public ChildLicenseQuery catalogIdStart(Long catalogIdStart){
        this.catalogIdStart = catalogIdStart;
        return this;
    }

    /**
     * 设置 结束 目录id
     * @param catalogIdEnd
     */
    public ChildLicenseQuery catalogIdEnd(Long catalogIdEnd){
        this.catalogIdEnd = catalogIdEnd;
        return this;
    }

    /**
     * 设置 增加 目录id
     * @param catalogIdIncrement
     */
    public ChildLicenseQuery catalogIdIncrement(Long catalogIdIncrement){
        this.catalogIdIncrement = catalogIdIncrement;
        return this;
    }

    /**
     * 设置 目录id
     * @param catalogIdList
     */
    public ChildLicenseQuery catalogIdList(List<Long> catalogIdList){
        this.catalogIdList = catalogIdList;
        return this;
    }

    /**
     * 设置 目录id
     * @param catalogIdNotList
     */
    public ChildLicenseQuery catalogIdNotList(List<Long> catalogIdNotList){
        this.catalogIdNotList = catalogIdNotList;
        return this;
    }


    /**
     * 设置 目录名称
     * @param catalogName
     */
    public ChildLicenseQuery catalogName(String catalogName){
        setCatalogName(catalogName);
        return this;
    }

    /**
     * 设置 目录名称
     * @param catalogNameList
     */
    public ChildLicenseQuery catalogNameList(List<String> catalogNameList){
        this.catalogNameList = catalogNameList;
        return this;
    }

    /**
     * 设置  申请Id
     * @param applyId
     */
    public ChildLicenseQuery applyId(Long applyId){
        setApplyId(applyId);
        return this;
    }

    /**
     * 设置 开始 申请Id
     * @param applyIdStart
     */
    public ChildLicenseQuery applyIdStart(Long applyIdStart){
        this.applyIdStart = applyIdStart;
        return this;
    }

    /**
     * 设置 结束 申请Id
     * @param applyIdEnd
     */
    public ChildLicenseQuery applyIdEnd(Long applyIdEnd){
        this.applyIdEnd = applyIdEnd;
        return this;
    }

    /**
     * 设置 增加 申请Id
     * @param applyIdIncrement
     */
    public ChildLicenseQuery applyIdIncrement(Long applyIdIncrement){
        this.applyIdIncrement = applyIdIncrement;
        return this;
    }

    /**
     * 设置 申请Id
     * @param applyIdList
     */
    public ChildLicenseQuery applyIdList(List<Long> applyIdList){
        this.applyIdList = applyIdList;
        return this;
    }

    /**
     * 设置 申请Id
     * @param applyIdNotList
     */
    public ChildLicenseQuery applyIdNotList(List<Long> applyIdNotList){
        this.applyIdNotList = applyIdNotList;
        return this;
    }

    /**
     * 设置  子证配置Id
     * @param documentId
     */
    public ChildLicenseQuery documentId(Long documentId){
        setDocumentId(documentId);
        return this;
    }

    /**
     * 设置 开始 子证配置Id
     * @param documentIdStart
     */
    public ChildLicenseQuery documentIdStart(Long documentIdStart){
        this.documentIdStart = documentIdStart;
        return this;
    }

    /**
     * 设置 结束 子证配置Id
     * @param documentIdEnd
     */
    public ChildLicenseQuery documentIdEnd(Long documentIdEnd){
        this.documentIdEnd = documentIdEnd;
        return this;
    }

    /**
     * 设置 增加 子证配置Id
     * @param documentIdIncrement
     */
    public ChildLicenseQuery documentIdIncrement(Long documentIdIncrement){
        this.documentIdIncrement = documentIdIncrement;
        return this;
    }

    /**
     * 设置 子证配置Id
     * @param documentIdList
     */
    public ChildLicenseQuery documentIdList(List<Long> documentIdList){
        this.documentIdList = documentIdList;
        return this;
    }

    /**
     * 设置 子证配置Id
     * @param documentIdNotList
     */
    public ChildLicenseQuery documentIdNotList(List<Long> documentIdNotList){
        this.documentIdNotList = documentIdNotList;
        return this;
    }


    /**
     * 设置 子证名称
     * @param documentName
     */
    public ChildLicenseQuery documentName(String documentName){
        setDocumentName(documentName);
        return this;
    }

    /**
     * 设置 子证名称
     * @param documentNameList
     */
    public ChildLicenseQuery documentNameList(List<String> documentNameList){
        this.documentNameList = documentNameList;
        return this;
    }

    /**
     * 设置  部门id
     * @param deptId
     */
    public ChildLicenseQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 部门id
     * @param deptIdStart
     */
    public ChildLicenseQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 部门id
     * @param deptIdEnd
     */
    public ChildLicenseQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 部门id
     * @param deptIdIncrement
     */
    public ChildLicenseQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 部门id
     * @param deptIdList
     */
    public ChildLicenseQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }

    /**
     * 设置 部门id
     * @param deptIdNotList
     */
    public ChildLicenseQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
    }


    /**
     * 设置 部门名称
     * @param deptName
     */
    public ChildLicenseQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public ChildLicenseQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }


    /**
     * 设置 市场主体名称
     * @param marketEntityName
     */
    public ChildLicenseQuery marketEntityName(String marketEntityName){
        setMarketEntityName(marketEntityName);
        return this;
    }

    /**
     * 设置 市场主体名称
     * @param marketEntityNameList
     */
    public ChildLicenseQuery marketEntityNameList(List<String> marketEntityNameList){
        this.marketEntityNameList = marketEntityNameList;
        return this;
    }


    /**
     * 设置 许可证编号
     * @param licenseCode
     */
    public ChildLicenseQuery licenseCode(String licenseCode){
        setLicenseCode(licenseCode);
        return this;
    }

    /**
     * 设置 许可证编号
     * @param licenseCodeList
     */
    public ChildLicenseQuery licenseCodeList(List<String> licenseCodeList){
        this.licenseCodeList = licenseCodeList;
        return this;
    }


    /**
     * 设置 法定代表人（负责人）
     * @param legalPersonName
     */
    public ChildLicenseQuery legalPersonName(String legalPersonName){
        setLegalPersonName(legalPersonName);
        return this;
    }

    /**
     * 设置 法定代表人（负责人）
     * @param legalPersonNameList
     */
    public ChildLicenseQuery legalPersonNameList(List<String> legalPersonNameList){
        this.legalPersonNameList = legalPersonNameList;
        return this;
    }


    /**
     * 设置 统一社会信用代码
     * @param creditCode
     */
    public ChildLicenseQuery creditCode(String creditCode){
        setCreditCode(creditCode);
        return this;
    }

    /**
     * 设置 统一社会信用代码
     * @param creditCodeList
     */
    public ChildLicenseQuery creditCodeList(List<String> creditCodeList){
        this.creditCodeList = creditCodeList;
        return this;
    }



    /**
     * 设置 证件二维码
     * @param certQRCode
     */
    public ChildLicenseQuery certQRCode(String certQRCode){
        setCertQRCode(certQRCode);
        return this;
    }

    /**
     * 设置 证件二维码
     * @param certQRCodeList
     */
    public ChildLicenseQuery certQRCodeList(List<String> certQRCodeList){
        this.certQRCodeList = certQRCodeList;
        return this;
    }


    /**
     * 设置 制证机关
     * @param certAuthority
     */
    public ChildLicenseQuery certAuthority(String certAuthority){
        setCertAuthority(certAuthority);
        return this;
    }

    /**
     * 设置 制证机关
     * @param certAuthorityList
     */
    public ChildLicenseQuery certAuthorityList(List<String> certAuthorityList){
        this.certAuthorityList = certAuthorityList;
        return this;
    }


    /**
     * 设置 经营场所
     * @param businessPlace
     */
    public ChildLicenseQuery businessPlace(String businessPlace){
        setBusinessPlace(businessPlace);
        return this;
    }

    /**
     * 设置 经营场所
     * @param businessPlaceList
     */
    public ChildLicenseQuery businessPlaceList(List<String> businessPlaceList){
        this.businessPlaceList = businessPlaceList;
        return this;
    }


    /**
     * 设置 许可项目
     * @param licensedItems
     */
    public ChildLicenseQuery licensedItems(String licensedItems){
        setLicensedItems(licensedItems);
        return this;
    }

    /**
     * 设置 许可项目
     * @param licensedItemsList
     */
    public ChildLicenseQuery licensedItemsList(List<String> licensedItemsList){
        this.licensedItemsList = licensedItemsList;
        return this;
    }


    /**
     * 设置 正本文件名称
     * @param originalFileName
     */
    public ChildLicenseQuery originalFileName(String originalFileName){
        setOriginalFileName(originalFileName);
        return this;
    }

    /**
     * 设置 正本文件名称
     * @param originalFileNameList
     */
    public ChildLicenseQuery originalFileNameList(List<String> originalFileNameList){
        this.originalFileNameList = originalFileNameList;
        return this;
    }


    /**
     * 设置 正本文件相对路径地址
     * @param originalFilePath
     */
    public ChildLicenseQuery originalFilePath(String originalFilePath){
        setOriginalFilePath(originalFilePath);
        return this;
    }

    /**
     * 设置 正本文件相对路径地址
     * @param originalFilePathList
     */
    public ChildLicenseQuery originalFilePathList(List<String> originalFilePathList){
        this.originalFilePathList = originalFilePathList;
        return this;
    }


    /**
     * 设置 副本文件名称
     * @param copyFileName
     */
    public ChildLicenseQuery copyFileName(String copyFileName){
        setCopyFileName(copyFileName);
        return this;
    }

    /**
     * 设置 副本文件名称
     * @param copyFileNameList
     */
    public ChildLicenseQuery copyFileNameList(List<String> copyFileNameList){
        this.copyFileNameList = copyFileNameList;
        return this;
    }


    /**
     * 设置 副本文件相对路径地址
     * @param copyFilePath
     */
    public ChildLicenseQuery copyFilePath(String copyFilePath){
        setCopyFilePath(copyFilePath);
        return this;
    }

    /**
     * 设置 副本文件相对路径地址
     * @param copyFilePathList
     */
    public ChildLicenseQuery copyFilePathList(List<String> copyFilePathList){
        this.copyFilePathList = copyFilePathList;
        return this;
    }


    /**
     * 设置 简介
     * @param summary
     */
    public ChildLicenseQuery summary(String summary){
        setSummary(summary);
        return this;
    }

    /**
     * 设置 简介
     * @param summaryList
     */
    public ChildLicenseQuery summaryList(List<String> summaryList){
        this.summaryList = summaryList;
        return this;
    }


    /**
     * 设置 动态表单样式
     * @param formStyleContent
     */
    public ChildLicenseQuery formStyleContent(String formStyleContent){
        setFormStyleContent(formStyleContent);
        return this;
    }

    /**
     * 设置 动态表单样式
     * @param formStyleContentList
     */
    public ChildLicenseQuery formStyleContentList(List<String> formStyleContentList){
        this.formStyleContentList = formStyleContentList;
        return this;
    }


    /**
     * 设置 提交的表单
     * @param formContent
     */
    public ChildLicenseQuery formContent(String formContent){
        setFormContent(formContent);
        return this;
    }

    /**
     * 设置 提交的表单
     * @param formContentList
     */
    public ChildLicenseQuery formContentList(List<String> formContentList){
        this.formContentList = formContentList;
        return this;
    }

    /**
     * 设置  处理状态(0.未处理,1.已处理)
     * @param processStatus
     */
    public ChildLicenseQuery processStatus(Integer processStatus){
        setProcessStatus(processStatus);
        return this;
    }

    /**
     * 设置 开始 处理状态(0.未处理,1.已处理)
     * @param processStatusStart
     */
    public ChildLicenseQuery processStatusStart(Integer processStatusStart){
        this.processStatusStart = processStatusStart;
        return this;
    }

    /**
     * 设置 结束 处理状态(0.未处理,1.已处理)
     * @param processStatusEnd
     */
    public ChildLicenseQuery processStatusEnd(Integer processStatusEnd){
        this.processStatusEnd = processStatusEnd;
        return this;
    }

    /**
     * 设置 增加 处理状态(0.未处理,1.已处理)
     * @param processStatusIncrement
     */
    public ChildLicenseQuery processStatusIncrement(Integer processStatusIncrement){
        this.processStatusIncrement = processStatusIncrement;
        return this;
    }

    /**
     * 设置 处理状态(0.未处理,1.已处理)
     * @param processStatusList
     */
    public ChildLicenseQuery processStatusList(List<Integer> processStatusList){
        this.processStatusList = processStatusList;
        return this;
    }

    /**
     * 设置 处理状态(0.未处理,1.已处理)
     * @param processStatusNotList
     */
    public ChildLicenseQuery processStatusNotList(List<Integer> processStatusNotList){
        this.processStatusNotList = processStatusNotList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public ChildLicenseQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public ChildLicenseQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public ChildLicenseQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public ChildLicenseQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public ChildLicenseQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public ChildLicenseQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public ChildLicenseQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public ChildLicenseQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }

    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public ChildLicenseQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public ChildLicenseQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public ChildLicenseQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public ChildLicenseQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public ChildLicenseQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public ChildLicenseQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 设置  联报用户
     * @param reportUserId
     */
    public ChildLicenseQuery reportUserId(Long reportUserId){
        setReportUserId(reportUserId);
        return this;
    }

    /**
     * 设置 开始 联报用户
     * @param reportUserIdStart
     */
    public ChildLicenseQuery reportUserIdStart(Long reportUserIdStart){
        this.reportUserIdStart = reportUserIdStart;
        return this;
    }

    /**
     * 设置 结束 联报用户
     * @param reportUserIdEnd
     */
    public ChildLicenseQuery reportUserIdEnd(Long reportUserIdEnd){
        this.reportUserIdEnd = reportUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 联报用户
     * @param reportUserIdIncrement
     */
    public ChildLicenseQuery reportUserIdIncrement(Long reportUserIdIncrement){
        this.reportUserIdIncrement = reportUserIdIncrement;
        return this;
    }

    /**
     * 设置 联报用户
     * @param reportUserIdList
     */
    public ChildLicenseQuery reportUserIdList(List<Long> reportUserIdList){
        this.reportUserIdList = reportUserIdList;
        return this;
    }

    /**
     * 设置 联报用户
     * @param reportUserIdNotList
     */
    public ChildLicenseQuery reportUserIdNotList(List<Long> reportUserIdNotList){
        this.reportUserIdNotList = reportUserIdNotList;
        return this;
    }


    /**
     * 设置 联报用户名称
     * @param reportUserName
     */
    public ChildLicenseQuery reportUserName(String reportUserName){
        setReportUserName(reportUserName);
        return this;
    }

    /**
     * 设置 联报用户名称
     * @param reportUserNameList
     */
    public ChildLicenseQuery reportUserNameList(List<String> reportUserNameList){
        this.reportUserNameList = reportUserNameList;
        return this;
    }



    /**
     * 设置 创建用户名称
     * @param createUserName
     */
    public ChildLicenseQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
        return this;
    }

    /**
     * 设置 创建用户名称
     * @param createUserNameList
     */
    public ChildLicenseQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
        return this;
    }


    /**
     * 设置 更新用户名称
     * @param updateUserName
     */
    public ChildLicenseQuery updateUserName(String updateUserName){
        setUpdateUserName(updateUserName);
        return this;
    }

    /**
     * 设置 更新用户名称
     * @param updateUserNameList
     */
    public ChildLicenseQuery updateUserNameList(List<String> updateUserNameList){
        this.updateUserNameList = updateUserNameList;
        return this;
    }

    /**
     * 设置  删除状态(0.未删除,1.已删除)
     * @param deleted
     */
    public ChildLicenseQuery deleted(Integer deleted){
        setDeleted(deleted);
        return this;
    }

    /**
     * 设置 开始 删除状态(0.未删除,1.已删除)
     * @param deletedStart
     */
    public ChildLicenseQuery deletedStart(Integer deletedStart){
        this.deletedStart = deletedStart;
        return this;
    }

    /**
     * 设置 结束 删除状态(0.未删除,1.已删除)
     * @param deletedEnd
     */
    public ChildLicenseQuery deletedEnd(Integer deletedEnd){
        this.deletedEnd = deletedEnd;
        return this;
    }

    /**
     * 设置 增加 删除状态(0.未删除,1.已删除)
     * @param deletedIncrement
     */
    public ChildLicenseQuery deletedIncrement(Integer deletedIncrement){
        this.deletedIncrement = deletedIncrement;
        return this;
    }

    /**
     * 设置 删除状态(0.未删除,1.已删除)
     * @param deletedList
     */
    public ChildLicenseQuery deletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
        return this;
    }

    /**
     * 设置 删除状态(0.未删除,1.已删除)
     * @param deletedNotList
     */
    public ChildLicenseQuery deletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
        return this;
    }


    /**
     * 设置 简称
     * @param shortName
     */
    public ChildLicenseQuery shortName(String shortName){
        setShortName(shortName);
        return this;
    }

    /**
     * 设置 简称
     * @param shortNameList
     */
    public ChildLicenseQuery shortNameList(List<String> shortNameList){
        this.shortNameList = shortNameList;
        return this;
    }


    /**
     * 设置 扩展列1
     * @param ext1
     */
    public ChildLicenseQuery ext1(String ext1){
        setExt1(ext1);
        return this;
    }

    /**
     * 设置 扩展列1
     * @param ext1List
     */
    public ChildLicenseQuery ext1List(List<String> ext1List){
        this.ext1List = ext1List;
        return this;
    }


    /**
     * 设置 扩展列2
     * @param ext2
     */
    public ChildLicenseQuery ext2(String ext2){
        setExt2(ext2);
        return this;
    }

    /**
     * 设置 扩展列2
     * @param ext2List
     */
    public ChildLicenseQuery ext2List(List<String> ext2List){
        this.ext2List = ext2List;
        return this;
    }


    /**
     * 设置 扩展列3
     * @param ext3
     */
    public ChildLicenseQuery ext3(String ext3){
        setExt3(ext3);
        return this;
    }

    /**
     * 设置 扩展列3
     * @param ext3List
     */
    public ChildLicenseQuery ext3List(List<String> ext3List){
        this.ext3List = ext3List;
        return this;
    }


    /**
     * 设置 扩展列4
     * @param ext4
     */
    public ChildLicenseQuery ext4(String ext4){
        setExt4(ext4);
        return this;
    }

    /**
     * 设置 扩展列4
     * @param ext4List
     */
    public ChildLicenseQuery ext4List(List<String> ext4List){
        this.ext4List = ext4List;
        return this;
    }


    /**
     * 设置 扩展列5
     * @param ext5
     */
    public ChildLicenseQuery ext5(String ext5){
        setExt5(ext5);
        return this;
    }

    /**
     * 设置 扩展列5
     * @param ext5List
     */
    public ChildLicenseQuery ext5List(List<String> ext5List){
        this.ext5List = ext5List;
        return this;
    }


    /**
     * 设置 扩展列6
     * @param ext6
     */
    public ChildLicenseQuery ext6(String ext6){
        setExt6(ext6);
        return this;
    }

    /**
     * 设置 扩展列6
     * @param ext6List
     */
    public ChildLicenseQuery ext6List(List<String> ext6List){
        this.ext6List = ext6List;
        return this;
    }


    /**
     * 设置 扩展列7
     * @param ext7
     */
    public ChildLicenseQuery ext7(String ext7){
        setExt7(ext7);
        return this;
    }

    /**
     * 设置 扩展列7
     * @param ext7List
     */
    public ChildLicenseQuery ext7List(List<String> ext7List){
        this.ext7List = ext7List;
        return this;
    }


    /**
     * 设置 扩展列8
     * @param ext8
     */
    public ChildLicenseQuery ext8(String ext8){
        setExt8(ext8);
        return this;
    }

    /**
     * 设置 扩展列8
     * @param ext8List
     */
    public ChildLicenseQuery ext8List(List<String> ext8List){
        this.ext8List = ext8List;
        return this;
    }

    /**
     * 设置  子证状态(0.禁用,1.启用)
     * @param childStatus
     */
    public ChildLicenseQuery childStatus(Integer childStatus){
        setChildStatus(childStatus);
        return this;
    }

    /**
     * 设置 开始 子证状态(0.禁用,1.启用)
     * @param childStatusStart
     */
    public ChildLicenseQuery childStatusStart(Integer childStatusStart){
        this.childStatusStart = childStatusStart;
        return this;
    }

    /**
     * 设置 结束 子证状态(0.禁用,1.启用)
     * @param childStatusEnd
     */
    public ChildLicenseQuery childStatusEnd(Integer childStatusEnd){
        this.childStatusEnd = childStatusEnd;
        return this;
    }

    /**
     * 设置 增加 子证状态(0.禁用,1.启用)
     * @param childStatusIncrement
     */
    public ChildLicenseQuery childStatusIncrement(Integer childStatusIncrement){
        this.childStatusIncrement = childStatusIncrement;
        return this;
    }

    /**
     * 设置 子证状态(0.禁用,1.启用)
     * @param childStatusList
     */
    public ChildLicenseQuery childStatusList(List<Integer> childStatusList){
        this.childStatusList = childStatusList;
        return this;
    }

    /**
     * 设置 子证状态(0.禁用,1.启用)
     * @param childStatusNotList
     */
    public ChildLicenseQuery childStatusNotList(List<Integer> childStatusNotList){
        this.childStatusNotList = childStatusNotList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<ChildLicenseQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<ChildLicenseQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<ChildLicenseQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<ChildLicenseQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}